function bt_print( BT );

	f = fopen('tree.dot', 'wt');
	fprintf(f,'digraph G {\n');
	% forzar el diagrama de izquierda a derecha
	fprintf(f,'rankdir = LR;\n');
	% identificación de los nodos:
	%  identificar cada nodo hoja por su probabilidad,
	%  y todos los demás por su probabilidad y además por
	%  la secuencia del algoritmo
	for i=1:length(bt_leaves(BT));
		fprintf(f,'%d [label="%1.3f"];\n',i,BT(i).prob);
	end
	j = 1;
	for i=length(bt_leaves(BT))+1:length(BT)
		fprintf(f,'%d [label="%d\\n%1.3f"];\n',i,j++,BT(i).prob);
	end
	fprintf(f,'{ rank = source;\n');
	% organización en columnas:
	%  aprovechar que los primeros nodos siempre son hojas
	for i=1:length(bt_leaves(BT));
		fprintf(f,'%s;\n',num2str(i));
	end
	fprintf(f,'}\n');
	%  para el resto de los nodos, cada uno va en un rank
	for i=length(bt_leaves(BT))+1:length(BT)
		fprintf(f,'{rank = same; %s }\n', num2str(i));
	end
	% relaciones entre nodos
	for i=1:length(BT);
		if(!bt_isroot(BT,i))
			fprintf(f,'%d -> %d [label=%d];\n',i,BT(i).parent,BT(BT(i).parent).uno==i );
		end
	end
	fprintf(f,'}');
	fclose(f);
	% generar pdf (requiere graphviz-cairo)
	system("dot -Tpdf tree.dot -o tree.pdf");
end

