%
% A = bt_sort2( BT )
%
% Encuentra los índices de los dos nodos raíz con menor probabilidad
%
% BT es un arreglo de nodos
% A es un arreglo (1x2) con los índices de los nodos buscados
% A(1) es el nodo con menor probabilidad
% A(2) es el nodo con segunda menor probabilidad
% Si BT tiene una sola raíz, el segundo elemento de A es -1
% Si BT no tiene raíces, ambos elementos de A son -1

function A = bt_sort2( BT )
	A = [-1 -1];
	r = bt_roots( BT );
	if( length(r) == 0 )
		return;
	else
		% formar un arreglo con las probabilidades de las raíces
		b = [];
		for i=1:length(r)
			b = [b BT(r(i)).prob];
		end
		% ordenar
		%  i(1) es la menor probabilidad, i(2) la 2a menor
		[o i] = sort(b);
		if( length(r) == 1 )
			A = [r(i(1)) -1];
		else
			A = [r(i(1)) r(i(2))];
		end
	end
end


